
var solution = {
    vzorec1: "Na2O",
    vzorec4: "SiO2",
    vzorec6: "SO3",
    
    nazev2: "oxid vápenatý",
    nazev3: "oxid hlinitý",
    nazev5: "oxid fosforečný",
    nazev7: "oxid chloristý",
    
    kah1: 2,
    kah2: 2,
    kah3: 1,
    kah4: 0,
    kah5: 0,
    kah6: 0,
    kah7: 0
    
    
}

function checkAnswers(node) {
    var li = node.parentNode; 
    
    var inputs = li.querySelectorAll("input[type=text]");
    
    for (var i = 0; i < inputs.length; i++) {
        var input = inputs[i]; // policko s indexem i
        
        var val = input.value; // nacteni hodnoty, textu z policka
        
        val = val.replace(/\s+/g, " "); // slouceni vicenasobnyych mezer
        val = val.trim(); // orezani mezer ze zacatku a konce;
        
        if (input.id.indexOf("nazev") > -1) {
            val = val.toLowerCase();
        }
        
        var correct = solution[input.id];
        
        if ( val === "") {
            continue;
        }
        
        if ( val === correct) {
            input.className = "correct"; // nastaveni tridy inputu
        }
        else {
            input.className = "wrong" 
        }
    }
    
}

function checkRadios(node) {
    // vzhledna radku li v otazce
    var lis = node.parentNode.querySelectorAll("li");
    
    for (var i = 0; i < lis.length; i++) {
        //nalezeni radiobuttonu v radku
        var radios = lis[i].querySelectorAll("input");
        
        for (var j = 0; j < radios.length; j++) {
            var input = radios[j];
            
            input.removeAttribute("class");
            if (!input.checked) continue;
            
            if (solution[input.name] == j) {
                input.className = "correct";
                //input.setAttribute("class", "correct");
            }
            
            else {
                input.className = "wrong";
            }
        }
        
    }
    
}
             
             
             
             
             
             
             
             
             
             